{% extends "base.html.twig" %}
{% import('partials/macros.html.twig') as this %}

{% block body %}



{% set owner = user.owner %}
  {% if owner|default(null) %}

  <div class="container">
    <nav class="nav nav-tabs mt-5">
        {% if owner.step > 0 %}
      <a class="nav-item nav-link active" href="#p1" data-toggle="tab">Mes coordonnées</a>
      {% endif %}
        {% if owner.step > 1 %}
      <a class="nav-item nav-link" href="#p2" data-toggle="tab">Ma situation</a>
      {% endif %}
        {% if owner.step > 2 %}
      <a class="nav-item nav-link" href="#p3" data-toggle="tab">Mon bien</a>
      {% endif %}
    </nav>
  </div>
{% if owner.step > 0 %}
  <div class="tab-content">
    <div class="tab-pane active" id="p1">
      <ul class="container">
        <li class="mt-4 list-group-item colorUser">Civilité : {{this.choice_render('CoOwnerShip\\Owner', 'genders', owner.gender)}}</li>
        <li class="list-group-item colorUserTwo"> Prénom : {{owner.firstName}}</li>
        <li class="list-group-item colorUser">Nom de famille : {{owner.lastname}}</li>
        {% if owner.company %}
        <li class="list-group-item colorUserTwo"> Societé : {{owner.company}} </li>
        {% endif %}
        <li class="mt-4 list-group-item colorUser">Adresse : {{ owner.address1 }} {% if owner.address2 %}/ {{ owner.address2 }}{% endif %}</li>
        <li class="list-group-item colorUserTwo">Code postal : {{owner.postalCode}} </li>
        <li class="list-group-item colorUser">Ville : {{owner.city}} </li>
        <li class="list-group-item colorUserTwo">Pays : {{owner.country}} </li>
        <li class="mt-4 list-group-item colorUser">Téléphones : {% if owner.phone1 %}{{ owner.phone1 }}{% endif %} {% if owner.phone2 %} {{ owner.phone2 }}{% endif %} </li>
        <li class="list-group-item colorUserTwo"> Mail : {{owner.mail}}</li>
      </ul>
    </div>
{% endif %}
    <div class="tab-pane" id="p2">
      <ul class="container list-group">
        <li class="list-group-item colorUser">État civil : {{this.choice_render('CoOwnerShip\\Owner', 'maritals', owner.maritalstatus)}} </li>
        <li class="list-group-item colorUserTwo">Retraité : {{this.bool_yes_no(owner.retired)}} </li>
        <li class="list-group-item colorUser">Nombre d'enfant(s) : {{owner.childrennumber}} </li>
        <li class="list-group-item colorUserTwo">Situation : {{this.choice_render('CoOwnerShip\\Owner', 'housings', owner.housingSituation)}} </li>
        <li class="mt-4 list-group-item colorUser">Revenu fiscal n°1 : {{owner.taxrevenueone}} </li>
        <li class="list-group-item colorUserTwo">Revenu fiscal n°2 : {{owner.taxrevenuetwo}} </li>
        <li class="list-group-item colorUser">Prêt à taux zéro : {{this.bool_yes_no(owner.gotPTZ)}} </li>
      </ul>
    </div>

    <div class="tab-pane" id="p3">
      <ul class="container list-group">
        <li class="list-group-item colorUser"> numero de lot : {{lot.number }}</li>
        <li class="list-group-item colorUserTwo">Escalier : {{lot.staircase}}</li>
        <li class="list-group-item colorUser">Étage : {{lot.floor}}</li>
        <li class="list-group-item colorUserTwo">Porte n° : {{lot.door}} </li>
        <li class="mt-4 list-group-item colorUser">Type d'apartement : {{lot.apartmentType}}</li>
        <li class="list-group-item colorUserTwo">Nombre de pièces : {{lot.roomNumber}} </li>
        <li class="list-group-item colorUser">Surface habitable : {{lot.roomArea}} </li>
        <li class="list-group-item colorUserTwo">Résidence principale : {{this.bool_yes_no(lot.mainResidence)}}</li>
      </ul>
    </div>
  </div>

{% endif %}
{% endblock %}
